SwiftXCTestSuite (Gradle API 8.11.1)

Package org.gradle.nativeplatform.test.xctest

## Interface SwiftXCTestSuite

- All Superinterfaces:
    `ComponentWithBinaries`, `ComponentWithDependencies`, `ComponentWithTargetMachines`, `Named`, `SoftwareComponent`, `SwiftComponent`, `TestSuiteComponent`

      public interface SwiftXCTestSuite
      extends SwiftComponent, TestSuiteComponent

  A XCTest suite, implemented in Swift.
  Since:
    4.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BinaryCollection<? extends SwiftXCTestBinary>` | `getBinaries()` | Returns the binaries for this library.
    `Provider<? extends SwiftXCTestBinary>` | `getTestBinary()` | Returns the binary to use as the default to run this test suite.

    - ### Methods inherited from interface org.gradle.language.ComponentWithDependencies

      `getDependencies`

    - ### Methods inherited from interface org.gradle.language.ComponentWithTargetMachines

      `getTargetMachines`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

    - ### Methods inherited from interface org.gradle.language.swift.SwiftComponent

      `getImplementationDependencies, getModule, getSource, getSourceCompatibility, getSwiftSource, source`

- - ### Method Detail

    - #### getTestBinary

          Provider<? extends SwiftXCTestBinary> getTestBinary()

      Returns the binary to use as the default to run this test suite.
      Specified by:
        `getTestBinary` in interface `TestSuiteComponent`

    - #### getBinaries

          BinaryCollection<? extends SwiftXCTestBinary> getBinaries()

      Returns the binaries for this library.
      Specified by:
        `getBinaries` in interface `ComponentWithBinaries`
      Specified by:
        `getBinaries` in interface `SwiftComponent`
      Since:
        5.6